LibreOffice: XUpdateListener Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XUpdateListener Interface Referencepublished

used to listen on objects which allow updating their data. More...

`import "XUpdateListener.idl";`

Inheritance diagram for XUpdateListener:

## Public Member Functions
boolean | approveUpdate ([in] com::sun::star::lang::EventObject aEvent)
| is invoked to check the current data.
void | updated ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when an object has finished processing the updates and the data has been successfully written.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

used to listen on objects which allow updating their data.

In addition to just get notified when a data update happened, the listener has a chance to veto updates before they happen.

See also
  XUpdateBroadcaster

## Member Function Documentation

## ◆ approveUpdate()

boolean approveUpdate | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked to check the current data.

For a given update process, if one of the XUpdateListeners vetoes the change, the update is canceled, and no further notification happens.

Parameters

  aEvent | An event descriptor specifying the broadcaster of the change.

Returns
  `TRUE` when the update was approved, otherwise `FALSE`.

## ◆ updated()

void updated | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when an object has finished processing the updates and the data has been successfully written.

Parameters

  aEvent | A event descriptor specifying the broadcaster of the change.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XUpdateListener.idl